Subject: bug#294: task-kde-desktop silently pulls in unattended-upgrades

From: Olaf Meeuwissen <[email-masked]>
Date: Tue, 24 Sep 2019 20:36:30 +0900

Hi Mark,

Sorry for the belated follow-up.  I've been travelling.

Mark Hindley writes:

> Olaf,
>
> I am doing some work on tasksel for beowulf and saw this bug.
> It still appears to be present.
>
> On Sun, Feb 17, 2019 at 08:23:48PM +0900, Olaf Meeuwissen wrote:
>> I think the easiest way to get out of this "mess" is to downgrade the
>> dependency on unattended-upgrades from a Recommends: to a Suggests: in
>> python3-software-properties.
>
> The problem with that is we don't currently fork that pacakge.
>
> The other way might be to not include apper. I don't use KDE myself and have no
> idea if that would be more of a problem? Do you use the desktop?

I don't use KDE myself.

If downgrading the apper Recommends: to a Suggests: on task-kde-desktop
prevents pulling in unattended-upgrades, I guess that would be fine.
Users that want apper can always install it later themselves.

It's just that doing it on python3-software-properties would be less of
an issue for users of apper.  Of course, if apper provides some optional
functionality that relies on unattended-upgrades that users want, they'd
be in a similar boat and need to install that themselves.

Anyway, forking python3-software-properties just to change an optional
dependency is probably overkill.

Hope this helps,
--
Olaf Meeuwissen, LPIC-2            FSF Associate Member since 2004-01-27
 GnuPG key: F84A2DD9/B3C0 2F47 EA19 64F4 9F13  F43E B8A4 A88A F84A 2DD9
 Support Free Software                        https://my.fsf.org/donate
 Join the Free Software Foundation              https://my.fsf.org/join